Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.service
Class MessagePartInfo

    java.lang.Object
      org.codehaus.xfire.service.MessagePartInfo

All Implemented Interfaces:
  Visitable

    public class MessagePartInfo

extends java.lang.Object
implements Visitable

Represents the description of a service operation message part.

Message parts are created using the `MessagePartContainer.addMessagePart(javax.xml.namespace.QName, java.lang.Class)` or `MessagePartContainer.addMessagePart(javax.xml.namespace.QName, java.lang.Class)` method.

Author:
  Arjen Poutsma, Dan Diephouse

Method Summary
`void` | `accept(Visitor visitor)` Acceps the given visitor.
`MessagePartContainer` | `getContainer()`
`int` | `getIndex()`
`javax.xml.namespace.QName` | `getName()`
`SchemaType` | `getSchemaType()`
`java.lang.Class` | `getTypeClass()`
`void` | `setIndex(int index)`
`void` | `setName(javax.xml.namespace.QName name)`
`void` | `setSchemaType(SchemaType schemaType)`
`void` | `setTypeClass(java.lang.Class typeClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public javax.xml.namespace.QName getName()

  Returns:
    Returns the name.

### setName

    public void setName(javax.xml.namespace.QName name)

  Parameters:
    `name` - The name to set.

### getTypeClass

    public java.lang.Class getTypeClass()

### setTypeClass

    public void setTypeClass(java.lang.Class typeClass)

### getContainer

    public MessagePartContainer getContainer()

### getIndex

    public int getIndex()

### setIndex

    public void setIndex(int index)

### getSchemaType

    public SchemaType getSchemaType()

### setSchemaType

    public void setSchemaType(SchemaType schemaType)

### accept

    public void accept(Visitor visitor)

  Acceps the given visitor.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.